Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.plaf.windows
Class ExtWindowsScrollPaneUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.ScrollPaneUI
              javax.swing.plaf.basic.BasicScrollPaneUI
                  com.sun.java.swing.plaf.windows.WindowsScrollPaneUI
                      com.jgoodies.plaf.windows.ExtWindowsScrollPaneUI

All Implemented Interfaces:
  ScrollPaneConstants

public final class ExtWindowsScrollPaneUI
extends com.sun.java.swing.plaf.windows.WindowsScrollPaneUI

The JGoodies Windows Look&Feel implementation of `ScrollPaneUI`.

Can replace obsolete `Border`s and use optional etched borders.

Author:
  Karsten Lentzsch

Nested Class Summary

Nested classes inherited from class javax.swing.plaf.basic.BasicScrollPaneUI
`BasicScrollPaneUI.HSBChangeListener, BasicScrollPaneUI.MouseWheelHandler, BasicScrollPaneUI.PropertyChangeHandler, BasicScrollPaneUI.ViewportChangeHandler, BasicScrollPaneUI.VSBChangeListener`

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicScrollPaneUI
`hsbChangeListener, scrollpane, spPropertyChangeListener, viewportChangeListener, vsbChangeListener`

Fields inherited from interface javax.swing.ScrollPaneConstants
`COLUMN_HEADER, HORIZONTAL_SCROLLBAR, HORIZONTAL_SCROLLBAR_ALWAYS, HORIZONTAL_SCROLLBAR_AS_NEEDED, HORIZONTAL_SCROLLBAR_NEVER, HORIZONTAL_SCROLLBAR_POLICY, LOWER_LEADING_CORNER, LOWER_LEFT_CORNER, LOWER_RIGHT_CORNER, LOWER_TRAILING_CORNER, ROW_HEADER, UPPER_LEADING_CORNER, UPPER_LEFT_CORNER, UPPER_RIGHT_CORNER, UPPER_TRAILING_CORNER, VERTICAL_SCROLLBAR, VERTICAL_SCROLLBAR_ALWAYS, VERTICAL_SCROLLBAR_AS_NEEDED, VERTICAL_SCROLLBAR_NEVER, VERTICAL_SCROLLBAR_POLICY, VIEWPORT`

Constructor Summary
`ExtWindowsScrollPaneUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent b)`
`protected void` | `installDefaults(JScrollPane scrollPane)`
`protected void` | `installEtchedBorder(JScrollPane scrollPane)`
`protected void` | `installListeners(JScrollPane scrollPane)`
`void` | `paint(Graphics g, JComponent c)` Replaces the scrollpane's `Border` if appropriate, then paints.
`protected void` | `uninstallDefaults(JScrollPane scrollPane)` Restores the original `Border`, in case we replaced it.
`protected void` | `uninstallListeners(JComponent c)`

Methods inherited from class javax.swing.plaf.basic.BasicScrollPaneUI
`createHSBChangeListener, createMouseWheelListener, createPropertyChangeListener, createViewportChangeListener, createVSBChangeListener, getMaximumSize, getMinimumSize, getPreferredSize, installKeyboardActions, installUI, syncScrollPaneWithViewport, uninstallKeyboardActions, uninstallUI, updateColumnHeader, updateRowHeader, updateScrollBarDisplayPolicy, updateViewport`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtWindowsScrollPaneUI

    public ExtWindowsScrollPaneUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent b)

### installDefaults

    protected void installDefaults(JScrollPane scrollPane)

### installEtchedBorder

    protected void installEtchedBorder(JScrollPane scrollPane)

### installListeners

    protected void installListeners(JScrollPane scrollPane)

### uninstallListeners

    protected void uninstallListeners(JComponent c)

### paint

    public void paint(Graphics g,
                      JComponent c)

  Replaces the scrollpane's `Border` if appropriate, then paints.

### uninstallDefaults

    protected void uninstallDefaults(JScrollPane scrollPane)

  Restores the original `Border`, in case we replaced it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 JGoodies Karsten Lentzsch. All Rights Reserved.